regedit (1)

NAME
regedit - registry editor

SYNOPSIS
regedit [[-d debuglevel] [-S <server>] [-p portnumber] [-n <netbiosname>] [-N] [-U <username>] [-W <domain>] [-A <filename>] [-c `command string`] [-i <scope>] [-O <socketoptions>] [-s smb.conf] [-l <logbasename>] [-E] [-m maxprotocol] [-h]

DESCRIPTION
regedit is a utility for modifying the System Registry on a Windows NT machine and comes as part of Samba-TNG.

OPTIONS

-d debuglevel
    Sets the debuglevel to an integer between 0 and 100. Debug level 0 is the lowest and 100 being the highest. To submit a bug report to the Samba-TNG Team, use debug level 100 (see BUGS.txt).

-S <server>
    NetBIOS name of server to connect to (\\. or . for localhost). The server can be any SMB/CIFS server. The name is resolved using the "name resolve order =" line.

-p portnumber
    Connects to the specified TCP port.

-n <netbiosname>
    NetBIOS name of the local machine. This option is only needed if your Samba-TNG client cannot find it automatically. Samba-TNG should use the uppercase of the machine's hostname.

-N  Tells regedit not to ask for a password. regedit will prompt the user by default.

-U <username>[%pass]
    Sets the SMB username or username and password. If %pass is not specified, The user will be prompted. The client will first check the USER environment variable, then the LOGNAME variable and if either exist, the string is uppercased. Anything in these variables following a % sign will be treated as the password. If these environmental variables are not found, the username GUEST is used.

-W <domain>
    Sets the SMB domain. Note that this is very different from the DNS domain name. This overrides the default domain which is the domain of the server specified with the bt(-S) option. If the domain specified is the same as the server's NetBIOS name, it causes the client to log on using the server's local SAM (as opposed to the Domain SAM).

-A <filename>
    Sets the name of the file with authentication credentials.

-c 'command string'
    Execute semicolon separated commands (listed below).

-i <scope>
    Defines the NetBIOS scope. For more information on NetBIOS scopes, see rfc1001 and rfc1002. NetBIOS scopes are rarely used.

-O <socketoptions>
    These socket options are the same as in smb.conf (under the bt(socket options =) section).

-s smb.conf
    Specifies the location of the smb.conf file.

-l <logbasename>
    File name for log/debug files. .client will be appended. The log file is never removed by the client.

-E  Causes regedit to write messages to stderr instead of stdout.

-m maxprotocol
    Is ignored in Samba-TNG. It is included only for backwards compatibility.

-h  Prints the help information (usage) for regedit.

COMMANDS
registry key enum, registry key query, registry key create, registry key delete, registry key getsec, registry key testsec, registry value query, registry value create, registry value delete, registry dump, shutdown, abortshutdown

registry key enum <keyname>
    Registry key enumeration.

registry key query <keyname>
    Registry Key Query.

registry key create <keyname> [<keyclass>]
    Creates the specified registry key.

registry key delete <keyname>
    Deletes the specified registry key.

registry key getsec <keyname>
    Gets registry key security.

registry key testsec <keyname>
    Tests registry key security.

registry value query <valname>
    Registry Value Query.

registry value create <valname> <valtype> <val>
    Creates a registry value where <valtype> is one of:

    REG_NONE
        no data

    REG_SZ
        a string, which will be converted to unicode

    REG_EXPAND_SZ
        like REG_SZ, but apps will interpolate %VARIABLE% strings

    REG_BINARY
        arbitrary binary data; input as hexadecimal, with leading 0s

    REG_DWORD
        a 32-bit integer

    REG_SZ_MULTI
        a list of strings, converted to unicode

    REG_FULL_RESOURCE_DESCRIPTOR
        treated like REG_BINARY

    REG_RESOURCE_REQUIREMENTS_LIST
        treated like REG_BINARY

registry value delete <valname>
    Deletes registry key specified by valname.

registry dump [-o <file>] <keyname>
    Dumps registry key and its children to the screen or the specified output file.

shutdown [-m message] [-t timeout] [-r or --reboot] [-f or --force-close]
    Forces a remote shutdown or reboot (if the -r option is set) of a NT machine.

abortshutdown
    Aborts ongoing shutdown initiated by the shutdown command.

set [OPTIONS...]
    Runs regedit within itself (thus allowing command line options to be changed).

use [\\server] [-U <username>%pass] [-W <domain>] [-d] [-f]
    or

use -u
    Equivalent of the net use command in Windows NT. Can be used to connect to remote services.

help, ?
    Shows all commands or help on a specific command.

quit, exit, bye
    Exits the utility.

SEE ALSO
rpcclient(8), samba(7), samedit(8)

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell.

Samba-TNG is now developed by the Samba-TNG Team as an independent Open Source project. Take a look at the Samba-TNG Forum for more informations.

This manual page originally was written by Luke Kenneth Casson Leighton and was adapted 2000 by Matthew Geddes.

2005 the manpage was adapted to the current version of the Samba-TNG project.